# Serialized Form

## Package org.red5.compatibility.flex.data.messages

### Class org.red5.compatibility.flex.data.messages.DataMessage extends AsyncMessage implements Serializable

serialVersionUID:
  -4650851055941106677L

### Serialized Fields

#### identity

    Object identity

#### operation

    int operation

### Class org.red5.compatibility.flex.data.messages.SequencedMessage extends AsyncMessage implements Serializable

serialVersionUID:
  5607350918278510061L

### Serialized Fields

#### sequenceId

    long sequenceId

#### sequenceProxies

    Object sequenceProxies

#### sequenceSize

    long sequenceSize

#### dataMessage

    String dataMessage

## Package org.red5.compatibility.flex.messaging.io

### Class org.red5.compatibility.flex.messaging.io.ArrayCollection extends ArrayList<T> implements Serializable

serialVersionUID:
  -9086041828446362637L

## Package org.red5.compatibility.flex.messaging.messages

### Class org.red5.compatibility.flex.messaging.messages.AbstractMessage extends Object implements Serializable

serialVersionUID:
  -834697863344344313L

### Serialized Fields

#### timestamp

    long timestamp

#### headers

    Map<K,V> headers

#### body

    Object body

#### messageId

    String messageId

#### messageIdBytes

    byte[] messageIdBytes

#### timeToLive

    long timeToLive

#### clientId

    String clientId

#### clientIdBytes

    byte[] clientIdBytes

#### destination

    String destination

### Class org.red5.compatibility.flex.messaging.messages.AcknowledgeMessage extends AsyncMessage implements Serializable

serialVersionUID:
  228072709981643313L

### Class org.red5.compatibility.flex.messaging.messages.AcknowledgeMessageExt extends AcknowledgeMessage implements Serializable

serialVersionUID:
  -8764729006642310394L

### Serialized Fields

#### message

    AcknowledgeMessage message

### Class org.red5.compatibility.flex.messaging.messages.AsyncMessage extends AbstractMessage implements Serializable

serialVersionUID:
  -3549535089417916783L

### Serialized Fields

#### correlationId

    String correlationId

Id of message this message belongs to.

#### correlationIdBytes

    byte[] correlationIdBytes

### Class org.red5.compatibility.flex.messaging.messages.AsyncMessageExt extends AsyncMessage implements Serializable

serialVersionUID:
  -5371460213241777011L

### Serialized Fields

#### message

    AsyncMessage message

### Class org.red5.compatibility.flex.messaging.messages.AuthenticationMessage extends CommandMessage implements Serializable

serialVersionUID:
  -9135142173898013075L

### Class org.red5.compatibility.flex.messaging.messages.CommandMessage extends AsyncMessage implements Serializable

serialVersionUID:
  8805045741686625945L

### Serialized Fields

#### messageRefType

    String messageRefType

#### operation

    int operation

Command id to execute.

### Class org.red5.compatibility.flex.messaging.messages.CommandMessageExt extends CommandMessage implements Serializable

serialVersionUID:
  -5371460213241777011L

### Serialized Fields

#### message

    CommandMessage message

### Class org.red5.compatibility.flex.messaging.messages.ErrorMessage extends AsyncMessage implements Serializable

serialVersionUID:
  -9069412644250075809L

### Serialized Fields

#### faultCode

    String faultCode

#### faultDetail

    String faultDetail

#### faultString

    String faultString

#### rootCause

    Object rootCause

#### extendedData

    Object extendedData

### Class org.red5.compatibility.flex.messaging.messages.RemotingMessage extends AsyncMessage implements Serializable

serialVersionUID:
  1491092800943415719L

### Serialized Fields

#### operation

    String operation

Method to execute.

#### source

    String source

Value of the `source` attribute of mx:RemoteObject that sent the message.

## Package org.red5.io.flv

### Class org.red5.io.flv.IKeyFrameDataAnalyzer.KeyFrameMeta extends Object implements Serializable

serialVersionUID:
  5436632873705625365L

### Serialized Fields

#### videoCodecId

    int videoCodecId

Video codec id.

#### audioCodecId

    int audioCodecId

Audio codec id.

#### duration

    long duration

Duration in milliseconds

#### audioOnly

    boolean audioOnly

Only audio frames?

#### timestamps

    int[] timestamps

Keyframe timestamps

#### positions

    long[] positions

Keyframe positions

## Package org.red5.io.flv.meta

### Class org.red5.io.flv.meta.MetaCue extends HashMap<String,Object> implements Serializable

serialVersionUID:
  -1769771340654996861L

### Class org.red5.io.flv.meta.MetaData extends HashMap<String,Object> implements Serializable

serialVersionUID:
  -5681069577717669925L

### Serialized Fields

#### cuePoints

    IMetaCue[] cuePoints

Cue points array. Cue points can be injected on fly like any other data even on client-side.

## Package org.red5.io.object

### Class org.red5.io.object.UnsignedByte extends UnsignedNumber implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### value

    short value

### Class org.red5.io.object.UnsignedInt extends UnsignedNumber implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### value

    long value

### Class org.red5.io.object.UnsignedLong extends UnsignedNumber implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### value

    byte[] value

### Class org.red5.io.object.UnsignedNumber extends Number implements Serializable

serialVersionUID:
  -6404256963187584919L

### Class org.red5.io.object.UnsignedShort extends UnsignedNumber implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### value

    int value

## Package org.red5.io.utils

### Class org.red5.io.utils.ObjectMap extends HashMap<K,V> implements Serializable

serialVersionUID:
  5146266119400305646L

## Package org.red5.server.api.session

## Package org.red5.server.api.stream

### Class org.red5.server.api.stream.OperationNotSupportedException extends Exception implements Serializable

serialVersionUID:
  -6166602683688991431L

### Class org.red5.server.api.stream.ResourceExistException extends Exception implements Serializable

serialVersionUID:
  443389396219999143L

### Class org.red5.server.api.stream.ResourceNotFoundException extends Exception implements Serializable

serialVersionUID:
  -1963629259187714996L

## Package org.red5.server.exception

### Class org.red5.server.exception.AccessDeniedException extends RuntimeException implements Serializable

serialVersionUID:
  2023603817704741161L

### Class org.red5.server.exception.ClientDetailsException extends RuntimeException implements Serializable

serialVersionUID:
  -1908769505547253205L

### Serialized Fields

#### parameters

    Object parameters

Parameters to return to the client.

#### stacktrace

    boolean stacktrace

Also return stacktrace to client?

### Class org.red5.server.exception.ClientNotFoundException extends RuntimeException implements Serializable

serialVersionUID:
  3135070223941800751L

### Class org.red5.server.exception.ClientRejectedException extends RuntimeException implements Serializable

serialVersionUID:
  9204597649465357898L

### Serialized Fields

#### reason

    Object reason

### Class org.red5.server.exception.ScopeHandlerNotFoundException extends RuntimeException implements Serializable

serialVersionUID:
  1894151808129303439L

### Class org.red5.server.exception.ScopeNotFoundException extends RuntimeException implements Serializable

serialVersionUID:
  -8512088658139018041L

### Class org.red5.server.exception.ScopeShuttingDownException extends RuntimeException implements Serializable

serialVersionUID:
  9129189610425512289L

### Class org.red5.server.exception.ServiceNotFoundException extends RuntimeException implements Serializable

serialVersionUID:
  -2400159517485748708L

### Class org.red5.server.exception.SharedObjectException extends RuntimeException implements Serializable

serialVersionUID:
  4152370716169030341L

### Class org.red5.server.exception.StreamControlException extends RuntimeException implements Serializable

serialVersionUID:
  -8396541091694329882L

### Class org.red5.server.exception.StreamDataException extends RuntimeException implements Serializable

serialVersionUID:
  5529626622367065317L

## Package org.red5.server.messaging

### Class org.red5.server.messaging.OOBControlMessage extends Object implements Serializable

serialVersionUID:
  -6037348177653934300L

### Serialized Fields

#### target

    String target

Target

#### serviceName

    String serviceName

Service name

#### serviceParamMap

    Map<K,V> serviceParamMap

Service params name

#### result

    Object result

Result

### Class org.red5.server.messaging.PipeConnectionEvent extends EventObject implements Serializable

serialVersionUID:
  9078843765378168072L

### Serialized Fields

#### taskList

    List<E> taskList

#### type

    int type

Event type

#### paramMap

    Map<K,V> paramMap

Parameters map

## Package org.red5.server.net.protocol

### Class org.red5.server.net.protocol.HandshakeFailedException extends ProtocolException implements Serializable

serialVersionUID:
  8255789603304183796L

### Class org.red5.server.net.protocol.ProtocolException extends RuntimeException implements Serializable

serialVersionUID:
  -5380844081848027068L

## Package org.red5.server.net.remoting.message

### Class org.red5.server.net.remoting.message.RemotingCall extends PendingCall implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.red5.server.net.rtmp.event

### Class org.red5.server.net.rtmp.event.Abort extends BaseEvent implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.Aggregate extends BaseEvent implements Serializable

serialVersionUID:
  5538859593815804830L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.AudioData extends BaseEvent implements Serializable

serialVersionUID:
  -4102940670913999407L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.BaseEvent extends Object implements Serializable

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.BytesRead extends BaseEvent implements Serializable

serialVersionUID:
  -127649312402709338L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.ChunkSize extends BaseEvent implements Serializable

serialVersionUID:
  -7680099175881755879L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.ClientBW extends BaseEvent implements Serializable

serialVersionUID:
  5848656135751336839L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.FlexMessage extends Invoke implements Serializable

serialVersionUID:
  1854760132754344723L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.FlexStreamSend extends Notify implements Serializable

serialVersionUID:
  -4226252245996614504L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.Invoke extends Notify implements Serializable

serialVersionUID:
  -769677790148010729L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.Notify extends BaseEvent implements Serializable

serialVersionUID:
  -6085848257275156569L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.Ping extends BaseEvent implements Serializable

serialVersionUID:
  -6478248060425544923L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.ServerBW extends BaseEvent implements Serializable

serialVersionUID:
  24487902555977210L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.Unknown extends BaseEvent implements Serializable

serialVersionUID:
  -1352770037962252975L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.event.VideoData extends BaseEvent implements Serializable

serialVersionUID:
  5538859593815804830L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.red5.server.net.rtmp.message

### Class org.red5.server.net.rtmp.message.Header extends Object implements Serializable

serialVersionUID:
  8982665579411495024L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.message.Packet extends Object implements Serializable

serialVersionUID:
  -6415050845346626950L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.red5.server.net.rtmp.status

### Class org.red5.server.net.rtmp.status.RuntimeStatusObject extends StatusObject implements Serializable

serialVersionUID:
  6990998992583246039L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.status.Status extends Object implements Serializable

serialVersionUID:
  -5501563718489586136L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.net.rtmp.status.StatusObject extends Object implements Serializable

serialVersionUID:
  8817297676191096283L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.red5.server.net.rtmpt

### Class org.red5.server.net.rtmpt.RTMPTServlet extends javax.servlet.http.HttpServlet implements Serializable

serialVersionUID:
  5925399677454936613L

### Serialized Fields

#### enforceContentTypeCheck

    boolean enforceContentTypeCheck

## Package org.red5.server.net.servlet

### Class org.red5.server.net.servlet.AMFGatewayServlet extends javax.servlet.http.HttpServlet implements Serializable

serialVersionUID:
  7174018823796785619L

### Serialized Fields

#### log

    org.slf4j.Logger log

Logger

### Class org.red5.server.net.servlet.AMFTunnelServlet extends javax.servlet.http.HttpServlet implements Serializable

serialVersionUID:
  -35436145164322090L

### Serialized Fields

#### log

    org.slf4j.Logger log

### Class org.red5.server.net.servlet.RedirectHTTPServlet extends javax.servlet.http.HttpServlet implements Serializable

serialVersionUID:
  -3543614516289102090L

### Class org.red5.server.net.servlet.StatisticsServlet extends org.apache.xmlrpc.webserver.XmlRpcServlet implements Serializable

serialVersionUID:
  5810139109603229027L

## Package org.red5.server.service

### Class org.red5.server.service.Call extends Object implements Serializable

serialVersionUID:
  -3699712251588013875L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.service.MethodNotFoundException extends RuntimeException implements Serializable

serialVersionUID:
  7559230924102506068L

### Class org.red5.server.service.NotAllowedException extends RuntimeException implements Serializable

serialVersionUID:
  -7552833324276839926L

### Class org.red5.server.service.PendingCall extends Call implements Serializable

serialVersionUID:
  3219267601240355335L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.service.ServiceNotFoundException extends RuntimeException implements Serializable

serialVersionUID:
  7543755414829244027L

### Serialized Fields

#### serviceName

    String serviceName

Name of service that doesn't exist.

## Package org.red5.server.session

### Class org.red5.server.session.Session extends Object implements Serializable

serialVersionUID:
  2893666721L

### Serialized Fields

#### created

    long created

#### active

    boolean active

#### sessionId

    String sessionId

#### destinationDirectory

    String destinationDirectory

#### clientId

    String clientId

## Package org.red5.server.so

### Class org.red5.server.so.FlexSharedObjectMessage extends SharedObjectMessage implements Serializable

serialVersionUID:
  -6458750398936033347L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.so.SharedObjectEvent extends Object implements Serializable

serialVersionUID:
  -4129018814289863535L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

### Class org.red5.server.so.SharedObjectMessage extends BaseEvent implements Serializable

serialVersionUID:
  -8128704039659990049L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`

## Package org.red5.server.stream

### Class org.red5.server.stream.StreamNotFoundException extends Exception implements Serializable

serialVersionUID:
  812106823615971891L

## Package org.red5.spring

### Class org.red5.spring.ExtendedPropertyPlaceholderConfigurer.ResourceFilenameComparator extends Object implements Serializable

serialVersionUID:
  -6365943736917478749L